<script>
import axios from "../axios/index.js";
import QuestionComponent from "./QuestionComponent.vue";

export default {
    components: { QuestionComponent },
    name: "NewsCard",
    data() {
        return {
            item: null,
            dateFormatter: {
                year: 'numeric',
                month: '2-digit',
                day: '2-digit'
            }
        }
    },
    created() {
        let url   = null;
        let param = null;

        if (this.$route.name === "CountryCard") {
            url   = 'country'
            param = this.$route.params.name;
        } else if (this.$route.name === "NewsCard") {
            url   = 'news'
            param = this.$route.params.stub;
        }

        axios.get(`/api/${url}/get-item?name=${param}`).then(({data}) => {
            this.item = data;
        })
    }
}
</script>

<template v-if="item">
    <main class="main__blog">
        <section class="blog-card">
            <div class="blog-card__container">
                <router-link :to="{ name: 'Home' }">
                    <a class="blog-card__back">Back</a>
                </router-link>
                <div class="blog-card__content">
                    <div class="blog-card__info">
                        <div class="blog-card__info--img">
                            <img :src="'/storage/'+item.mainImage" alt="main-image">
                        </div>
                        <div class="blog-card__info--top">
                            <div class="blog-card__info--title">
                                <span>{{ item.name }}</span>
                            </div>
                            <div class="blog-card__info--date">
                                {{ new Date(item.created_at).toLocaleDateString('en-EN', dateFormatter) }}
                            </div>
                        </div>
                        <div class="blog-card__list">
                            <div class="blog-card__row">
                                <div class="blog-card__text" v-html="item.text"></div>
                                <div class="blog-card__img">
                                    <img :src="'/storage/'+item.cover" alt="blog">
                                </div>
                            </div>
                            <div class="blog-card__images">
                                <div class="blog-card__images--list">
                                    <img v-for="image in item.images" :src="'/storage/'+image" alt="image">
                                </div>
                            </div>
                        </div>
                        <div class="blog-card__info--image">
                            <img :src="'/storage/'+item.cover" alt="blog">
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <section class="write">
            <div class="write__container">
                <div class="write__form">
                    <div class="write__title">
                        Any other questions?<br>
                        Write to us!
                    </div>
                    <QuestionComponent/>
                </div>
            </div>
        </section>
    </main>
</template>

<style scoped>

</style>
